#!/usr/bin/env rexx
--trace i
parse arg helpFile
-- Create the stream representation of the help file
helpStream = .stream~new(helpFile)
-- Get the help information from the helpfile
helpText = helpStream~arrayIn
-- Create an itemList viewer for the help text with dash as delimiter
helpInfo = .itemList~new("InternetRadio - README","-")
-- Topic and Content are delimited with a dash
 helpInfo~setText(helpText)
 -- Display the help text
 helpInfo~display
 exit
 
::REQUIRES 'itemList.rex'

